import type { HeftConfiguration, HeftSession, IHeftPlugin } from '@rushstack/heft';
export interface IOpenApiTypescriptPluginEntry {
    sourcePath: string;
    outputPath: string;
}
export interface IOpenApiTypescriptPluginOptions {
    entries: IOpenApiTypescriptPluginEntry[];
}
export declare class OpenApiTypescriptPlugin implements IHeftPlugin<IOpenApiTypescriptPluginOptions> {
    readonly pluginName: string;
    apply(heftSession: HeftSession, heftConfiguration: HeftConfiguration, options: IOpenApiTypescriptPluginOptions): void;
    private _runOpenApiTypescriptAsync;
    private _generateOpenApiTypescript;
}
declare const _default: OpenApiTypescriptPlugin;
export default _default;
//# sourceMappingURL=index.d.ts.map